annotate scripts/config-headers.sh @ 695:530f71d65c20

uartfax.c: pull from Tourmaline (GTM900 RI output) In addition to the primary intent of bringing in GTM900 RI output support, pulling uartfax.c wholesale from Tourmaline also changes the initial_time argument in the two NU_Create_Timer() calls from 0 to 1. This change is required for the new version of Nucleus used in Tourmaline and Selenite (and apparently also used by TI in LoCosto), and it is harmless (no effect) for the original TCS211 version of Nucleus used in Magnetite. The new philosophical model being adopted is that Tourmaline is our new development head firmware, whereas Magnetite will now be maintained similarly to how Linux maintainers treat stable kernels: changes will be backported from Tourmaline if they are deemed appropriate for stable modem firmware.
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 24 Oct 2020 17:33:10 +0000
parents 92dbfa906f66
children
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
1 #!/bin/sh
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
2
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
3 if [ $# != 2 ]
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
4 then
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
6 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
7 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
8
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
9 if [ -z "$TARGET" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
10 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
11 echo "Error: TARGET= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
12 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
13 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
14
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
15 if [ -z "$BUILD_DIR" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
16 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
18 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
19 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
20
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
21 set -e
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
22
14
86e83045be37 scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents: 6
diff changeset
23 rm -rf $BUILD_DIR/config
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
24 cp -r cfg-headers/base $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
25 cp cfg-headers/$1/* $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
602
92dbfa906f66 fc-target.cfg config header renamed to more sensible fc-target.h
Mychaela Falconia <falcon@freecalypso.org>
parents: 144
diff changeset
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h